# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-django-lint
%global pkgname django-lint
%global obs_ver 0.13-12
%global commit 194ce26

Name:           python-module-django-lint
Version:        0.13
Release:        alt1_16
Summary:        Analyzes Django code looking for bugs and signs of poor quality

Group:          Development/Debuggers
License:        GPLv3+
URL:            https://github.com/lamby/django-lint
Source0:        https://github.com/lamby/django-lint/tarball/%{commit}/lamby-django-lint-%{commit}.tar.gz
BuildArch:      noarch


BuildRequires:  python-devel
Requires:       pylint

Provides:               %{pkgname} = %{version}-%{release}
Obsoletes:              %{pkgname} < %{obs_ver}
Source44: import.info

%description
Django Lint is a static analysis tool that checks (or "lints") projects 
and applications that use the Django web development framework.

It reports on common programming errors and bad code smells, including 
checking for null-able CharField field types, the use of brittle or deprecated 
Django features (such as auto_now_add) as well as the absence of recommended 
options in settings.py. It aims to encourage the development of high-quality 
re-usable Django applications.

Django Lint is currently implemented as a wrapper around PyLint.


%prep
%setup -q -n lamby-%{pkgname}-%{commit}
# remove unneeded /usr/bin/env-call
sed -i 's|^#!/usr/bin/env.*||' DjangoLint/script.py

%build
%{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%{__mkdir} -pm 755 %{buildroot}%{_mandir}/man1
%{__install} -pm 644 django-lint.1 %{buildroot}%{_mandir}/man1/



%files
%doc  README.rst COPYING
%{python_sitelibdir_noarch}/DjangoLint*
%{python_sitelibdir_noarch}/django_lint*
%{_bindir}/*
%{_mandir}/man?/*


%changelog
* Mon Sep 02 2013 Igor Vlasenko <viy@altlinux.ru> 0.13-alt1_16
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.13-alt1_15
- update to new release by fcimport

* Tue Jan 01 2013 Igor Vlasenko <viy@altlinux.ru> 0.13-alt1_14
- initial fc import

